QGIS Application - Bug report #5762
QGIS Server: print corrupted
2012-06-07 11:29 PM - Bernhard Strobl

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15266
Description

QGIS Server's GetPrint request delivers a print in which none of the text elements defined in the layout are included, the scale bar is
moved from the bottom to the top, the north arrow is swallowed...
compare attached pdfs

History

#1 - 2012-06-08 12:24 AM - Giovanni Manghi

- OS version deleted (11.4)

- Operating System deleted (OpenSUSE)

| can confirm the issue, see my message on the dev mailing list sent a few days ago (I tested on two different versions of Ubuntu)

http://lists.osgeo.org/pipermail/ggis-developer/2012-May/020242.html

#2 - 2012-06-11 02:59 AM - Marco Hugentobler
- Status changed from Open to Resolved

Bernard sent me the print templated and it turned out it is the same problem with the localised commas / dots as in ticket #5749. So that fix solves this

problem too (Giovannis one is probably something different)

#3 - 2012-06-11 03:00 AM - Marco Hugentobler

- Status changed from Resolved to Closed

#4 - 2012-06-11 04:07 AM - Giovanni Manghi

Marco Hugentobler wrote:

Bernard sent me the print templated and it turned out it is the same problem with the localised commas / dots as in ticket #5749. So that fix solves

this problem too (Giovannis one is probably something different)

Hi Marco,

can you see my problem here?

http://mapserver.uevora.pt/qgis-web-client/site/qgiswebclient.ntml?map=/var/www/qgis-web-client/projects/helloworld.qgs&#38;format=image/png &#38;
the application uses the client sample dataset.

I'm not really sure if it is a setup problem or a qgis one. Any advice how to debug this?
